package com.goafanti.order.bo.outStatistics;

import com.goafanti.common.utils.excel.Excel;
import com.goafanti.order.bo.OutProjectStatistics;

import java.math.BigDecimal;
import java.util.Date;

public class OutProjectStatisticsSoftwareWorks extends OutProjectStatistics {
    private Integer id;
    @Excel(name = "派单时间")
    private String distributionTime;
    @Excel(name = "派单省份")
    private String province;
    @Excel(name = "订单部门")
    private String depName;
    @Excel(name = "营销员")
    private String salesmanName;
    @Excel(name = "合同编号")
    private String contractNo;
    @Excel(name = "订单编号")
    private String orderNo;
    @Excel(name = "客户名称")
    private String  userName;
    @Excel(name = "项目类型")
    private String cname;
    @Excel(name = "项目名称")
    private String  pname;
    @Excel(name = "数量")
    private Integer  commodityQuantity;
    @Excel(name = "服务类型")
    private String serviceType;
    @Excel(name = "服务项目")
    private String serviceProject;
    @Excel(name = "负责部门")
    private String techDepName;
    @Excel(name = "咨询师/咨询师经理")
    private String techName;
    @Excel(name = "项目状态" ,enumsName = "com.goafanti.order.enums.NewProjectStatus")
    private Integer projectStatus;
    @Excel(name = "项目数/下证数")
    private String quantityAndcount;
    @Excel(name = "有无材料",readConverterExp = "0=否，1=是")
    private Integer	ifMaterial;
    @Excel(name = "加急天数",readConverterExp = "0=否，1=是")
    private Integer	urgentDay;
    @Excel(name = "下证时间")
    private String	licenceTime;
    @Excel(name = "证书编号")
    private String  certificateNumber;
    @Excel(name = "成本")
    private BigDecimal	costAmount;
    @Excel(name = "利润")
    private BigDecimal	profit;
    @Excel(name = "项目金额")
    private BigDecimal  commodityPrice;
    @Excel(name = "特别说明")
    private String	specialComment;
    @Excel(name = "项目说明")
    private String	taskComment;
    @Excel(name = "订单说明")
    private String orderRemarks;
    @Excel(name = "满意度调查表",readConverterExp = "0=未发送，1=已发送-未回收，2=已回收，3=其他")
    private Integer formRetrieve;
    @Excel(name = "满意度",readConverterExp = "0=非常满意，1=满意，2=一般，3=不满意")
    private Integer satisfactionDegree;

    @Excel(name = "特批",readConverterExp = "0=非特批，1=特批待审核，2=特批通过，3=特批驳回，4=董事长特批待审核，5=董事长特批通过，6董事长特批驳回")
    private Integer approval;
    @Excel(name="特批类型")
    private String type;
    private String typeExplain;

    private Integer  setUpStatus;
    private String setUpTime;
    private Integer  spotCheckStatus;
    private String  contactMobile;
    private String  legalPersonTel;
    private String  declarationBatch;
    private Integer  highTechstatus;
    private Integer	rejectCount;
    private String	patentNo;
    private String	patentName;
    private String	acceptTime;
    private Integer	certificatesCount;
    @Excel(name="评分")
    private Integer scoreNumber;
    @Excel(name="评分时间",dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date scoreTime;

    @Override
    public Date getScoreTime() {
        return scoreTime;
    }

    @Override
    public void setScoreTime(Date scoreTime) {
        this.scoreTime = scoreTime;
    }

    @Override
    public Integer getScoreNumber() {
        return scoreNumber;
    }

    @Override
    public void setScoreNumber(Integer scoreNumber) {
        this.scoreNumber = scoreNumber;
    }

    @Override
    public Integer getApproval() {
        return approval;
    }

    @Override
    public void setApproval(Integer approval) {
        this.approval = approval;
    }

    @Override
    public String getType() {
        return type;
    }

    @Override
    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String getTypeExplain() {
        return typeExplain;
    }

    @Override
    public void setTypeExplain(String typeExplain) {
        this.typeExplain = typeExplain;
    }

    @Override
    public Integer getFormRetrieve() {
        return formRetrieve;
    }

    @Override
    public void setFormRetrieve(Integer formRetrieve) {
        this.formRetrieve = formRetrieve;
    }

    @Override
    public Integer getSatisfactionDegree() {
        return satisfactionDegree;
    }

    @Override
    public void setSatisfactionDegree(Integer satisfactionDegree) {
        this.satisfactionDegree = satisfactionDegree;
    }


    @Override
    public String getServiceType() {
        return serviceType;
    }

    @Override
    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    @Override
    public String getServiceProject() {
        return serviceProject;
    }

    @Override
    public void setServiceProject(String serviceProject) {
        this.serviceProject = serviceProject;
    }

    public String getOrderRemarks() {
        return orderRemarks;
    }

    public void setOrderRemarks(String orderRemarks) {
        this.orderRemarks = orderRemarks;
    }
    public String getQuantityAndcount() {
        return quantityAndcount;
    }

    public void setQuantityAndcount(String quantityAndcount) {
        this.quantityAndcount = quantityAndcount;
    }

    public Integer getSetUpStatus() {
        return setUpStatus;
    }
    public void setSetUpStatus(Integer setUpStatus) {
        this.setUpStatus = setUpStatus;
    }
    public String getSetUpTime() {
        return setUpTime;
    }
    public void setSetUpTime(String setUpTime) {
        this.setUpTime = setUpTime;
    }
    public Integer getSpotCheckStatus() {
        return spotCheckStatus;
    }
    public void setSpotCheckStatus(Integer spotCheckStatus) {
        this.spotCheckStatus = spotCheckStatus;
    }
    public String getContactMobile() {
        return contactMobile;
    }
    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }
    public String getLegalPersonTel() {
        return legalPersonTel;
    }
    public void setLegalPersonTel(String legalPersonTel) {
        this.legalPersonTel = legalPersonTel;
    }
    public String getCertificateNumber() {
        return certificateNumber;
    }
    public void setCertificateNumber(String certificateNumber) {
        this.certificateNumber = certificateNumber;
    }
    public String getDeclarationBatch() {
        return declarationBatch;
    }
    public void setDeclarationBatch(String declarationBatch) {
        this.declarationBatch = declarationBatch;
    }
    public Integer getCommodityQuantity() {
        return commodityQuantity;
    }
    public void setCommodityQuantity(Integer commodityQuantity) {
        this.commodityQuantity = commodityQuantity;
    }
    public BigDecimal getCommodityPrice() {
        return commodityPrice;
    }
    public void setCommodityPrice(BigDecimal commodityPrice) {
        this.commodityPrice = commodityPrice;
    }



    public String getDistributionTime() {
        return distributionTime;
    }
    public void setDistributionTime(String distributionTime) {
        this.distributionTime = distributionTime;
    }
    public String getProvince() {
        return province;
    }
    public void setProvince(String province) {
        this.province = province;
    }
    public String getDepName() {
        return depName;
    }
    public void setDepName(String depName) {
        this.depName = depName;
    }
    public String getSalesmanName() {
        return salesmanName;
    }
    public void setSalesmanName(String salesmanName) {
        this.salesmanName = salesmanName;
    }
    public String getContractNo() {
        return contractNo;
    }
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }
    public String getOrderNo() {
        return orderNo;
    }
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }
    public String getUserName() {
        return userName;
    }
    public void setUserName(String userName) {
        this.userName = userName;
    }
    public String getCname() {
        return cname;
    }
    public void setCname(String cname) {
        this.cname = cname;
    }
    public String getPname() {
        return pname;
    }
    public void setPname(String pname) {
        this.pname = pname;
    }
    public String getTechName() {
        return techName;
    }
    public void setTechName(String techName) {
        this.techName = techName;
    }
    public String getTechDepName() {
        return techDepName;
    }
    public void setTechDepName(String techDepName) {
        this.techDepName = techDepName;
    }
    public Integer getProjectStatus() {
        return projectStatus;
    }
    public void setProjectStatus(Integer projectStatus) {
        this.projectStatus = projectStatus;
    }
    public String getLicenceTime() {
        return licenceTime;
    }
    public void setLicenceTime(String licenceTime) {
        this.licenceTime = licenceTime;
    }
    public String getTaskComment() {
        return taskComment;
    }
    public void setTaskComment(String taskComment) {
        this.taskComment = taskComment;
    }
    public Integer getCertificatesCount() {
        return certificatesCount;
    }
    public void setCertificatesCount(Integer certificatesCount) {
        this.certificatesCount = certificatesCount;
    }
    public Integer getUrgentDay() {
        return urgentDay;
    }
    public void setUrgentDay(Integer urgentDay) {
        this.urgentDay = urgentDay;
    }
    public Integer getIfMaterial() {
        return ifMaterial;
    }
    public void setIfMaterial(Integer ifMaterial) {
        this.ifMaterial = ifMaterial;
    }
    public BigDecimal getCostAmount() {
        return costAmount;
    }
    public void setCostAmount(BigDecimal costAmount) {
        this.costAmount = costAmount;
    }
    public BigDecimal getProfit() {
        if (profit==null&&commodityPrice!=null&&costAmount!=null) {
            return  commodityPrice.subtract(costAmount);
        }
        return profit;
    }
    public void setProfit(BigDecimal profit) {
        this.profit = profit;
    }
    public Integer getRejectCount() {
        return rejectCount;
    }
    public void setRejectCount(Integer rejectCount) {
        this.rejectCount = rejectCount;
    }
    public String getPatentName() {
        return patentName;
    }
    public void setPatentName(String patentName) {
        this.patentName = patentName;
    }
    public String getAcceptTime() {
        return acceptTime;
    }
    public void setAcceptTime(String acceptTime) {
        this.acceptTime = acceptTime;
    }
    public Integer getHighTechstatus() {
        return highTechstatus;
    }
    public void setHighTechstatus(Integer highTechstatus) {
        this.highTechstatus = highTechstatus;
    }
    public Integer getId() {
        return id;
    }
    public void setId(Integer id) {
        this.id = id;
    }
    public String getSpecialComment() {
        return specialComment;
    }
    public void setSpecialComment(String specialComment) {
        this.specialComment = specialComment;
    }
    public String getPatentNo() {
        return patentNo;
    }
    public void setPatentNo(String patentNo) {
        this.patentNo = patentNo;
    }

}
